{% extends "core/layout_app.html" %}
{% load i18n bootstrap %}

{% block content %}
<div class="row">
  <div class="col-sm-offset-1 col-sm-10">
    <div class="page-section page-section-boxed" id="change-password-section">
      <div class="page-section-header">
          <h2>
            {% trans 'Password change' %}
          </h2>
      </div>
      <div class="page-section-content">
        <p>{% trans "Please enter your old password, for security's sake, and then enter your new password twice so we can verify you typed it in correctly." %}</p>
        <form action="" method="post" class="form-horizontal">
          {% csrf_token %}
          <div class="form-group">
            <label for="id_old_password" class="control-label col-sm-2 col-lg-2 required" >
              {% trans 'Old password' %}
            </label>
            <div class="col-sm-5">
              <div class="form-control-static">
                {{ form.old_password }}
                {{ form.old_password.errors }}
              </div>
            </div>
          </div>
          <div class="form-group">
            <label for="id_new_password1" class="control-label col-sm-2 col-lg-2 required" >
              {% trans 'New password' %}
            </label>
            <div class="col-sm-5">
              <div class="form-control-static">
                {{ form.new_password1 }}
                {{ form.new_password1.errors }}
              </div>
            </div>
          </div>
          <div class="form-group">
            <label for="id_new_password1" class="control-label col-sm-2 col-lg-2 required" >
              {% trans 'Password (again)' %}
            </label>
            <div class="col-sm-5">
              <div class="form-control-static">
                {{ form.new_password2 }}
                {{ form.new_password2.errors }}
              </div>
            </div>
          </div>
          <div class="form-group">
            <div class="col-sm-push-2 col-sm-4">
              <button class="btn btn-danger" type="submit">
                {% trans 'Change my password' %}
              </button>
              <a href="{% url "my_profile" %}" class="btn btn-default">
                {% trans 'Cancel' %}
              </a>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
{% endblock %}
